curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/constraints' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"constraints": [
{
"description": "Two-person tent, green — replacement for damaged pole set.",
"expression": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"strength": {
"type": null
}
}
],
"hard_count": 1,
"soft_count": 1,
"total": 102
}
List all constraints
Required scope: read
GET
/
api
/
v1
/
constraints
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/constraints' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"constraints": [
{
"description": "Two-person tent, green — replacement for damaged pole set.",
"expression": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"strength": {
"type": null
}
}
],
"hard_count": 1,
"soft_count": 1,
"total": 102
}
Required scope:
read
Query parameters
integer
Maximum number of items to return (1-1000, default: 50)
integer
Number of items to skip (default: 0)
string
Cursor for cursor-based pagination (alternative to offset)
string
Sort field with optional direction prefix (- for descending) Examples: ‘created_at’, ‘-name’, ‘confidence’
Response
ListConstraintsResponse
ConstraintResponse[]
required
integer
required
integer
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | List of constraints |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/constraints' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"constraints": [
{
"description": "Two-person tent, green — replacement for damaged pole set.",
"expression": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"strength": {
"type": null
}
}
],
"hard_count": 1,
"soft_count": 1,
"total": 102
}
Last modified on August 31, 2026